package docar.storage.volume;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

/**
 * <pre>
 * 디렉토리 필터.
 * </pre>
 *
 * @author "Sunny Kwak"
 */
public class DirectoryFilter implements Filter {

	List<String> notAllowedList = new ArrayList<String>();

	/**
	 * 스캔을 허용하지 않는 디렉토리 추가.
	 * 
	 * @param directory
	 *            허용하지 않는 디렉토리 명칭
	 */
	public void addNotAllowed(String directory) {
		notAllowedList.add(directory);
	}

	@Override
	public boolean allowed(File file) {
		if (file.isDirectory()) {
			for (String notAllowed : notAllowedList) {
				if (file.getName().equals(notAllowed)) {
					return false;
				}
			}
		}

		return true;
	}

}
